<?php
/**
 * Summer Adventure functions and definitions
 *
 * @package Summer Adventure
 * @since 1.0
 */

if ( ! function_exists( 'summer_adventure_support' ) ) :
	function summer_adventure_support() {
		
		load_theme_textdomain( 'summer-adventure', get_template_directory() . '/languages' );

		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'summer_adventure_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('SUMMER_ADVENTURE_BUY_NOW',__('https://www.themescarts.com/products/adventure-camp-wordpress-theme/','summer-adventure'));
		define('SUMMER_ADVENTURE_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/summer-adventure/','summer-adventure'));
		define('SUMMER_ADVENTURE_BUNDLE_LINK',__('https://www.themescarts.com/products/wordpress-theme-bundle/','summer-adventure'));

	}
endif;
add_action( 'after_setup_theme', 'summer_adventure_support' );

/*-------------------------------------------------------------
 Enqueue Styles
--------------------------------------------------------------*/

if ( ! function_exists( 'summer_adventure_styles' ) ) :
	function summer_adventure_styles() {
		// Register theme stylesheet.
		wp_enqueue_style('summer-adventure-style', get_stylesheet_uri(), array(), wp_get_theme()->get('version') );
		wp_enqueue_style('summer-adventure-style-blocks', get_template_directory_uri(). '/assets/css/blocks.css');
		wp_enqueue_style('summer-adventure-style-responsive', get_template_directory_uri(). '/assets/css/responsive.css');
		wp_style_add_data( 'summer-adventure-style', 'rtl', 'replace' );
		wp_enqueue_script( 'wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), true );
		wp_enqueue_script( 'summer-adventure-custom-js', get_theme_file_uri( '/assets/js/custom.js' ), array( 'jquery' ), true );
		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/assets/css/animate.css' );
		wp_enqueue_style( 'dashicons' );
		wp_enqueue_style( 'font-awesome-css', get_template_directory_uri().'/assets/css/fontawesome-all.css', array(), wp_get_theme()->get('Version') );
		wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );
		wp_enqueue_style('owl-carousel-css', get_template_directory_uri(). '/assets/css/owl.carousel.css');
	}
endif;
add_action( 'wp_enqueue_scripts', 'summer_adventure_styles' );

function summer_adventure_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('summer-adventure-welcome-notice', get_template_directory_uri() . '/inc/summer-adventure-theme-info-page/js/summer-adventure-welcome-notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('summer-adventure-welcome-notice', 'summer_adventure_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('summer_adventure_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('summer_adventure_welcome_nonce'), // Nonce for dismissal
        'redirect_url' => admin_url('themes.php?page=summer-adventure-theme-info-page')
    ));
}
add_action('admin_enqueue_scripts', 'summer_adventure_enqueue_admin_script');

if (!function_exists('summer_adventure_enable_plugin_autoupdate')) {

    add_filter('auto_update_plugin', function ($update, $item) {
        if ($item->slug === 'siteready-coming-soon-under-construction') {
            return true;
        }
        return $update;
    }, 10, 2);

}

function summer_adventure_plugin_update_available($slug, $file) {
    $updates = get_site_transient('update_plugins');

    if (!isset($updates->response[$slug . '/' . $file])) {
        return false; // No update available
    }

    return $updates->response[$slug . '/' . $file];
}

require get_template_directory() .'/inc/TGM/tgm.php';

// Add block patterns
require get_template_directory() . '/inc/block-patterns.php';

require_once get_theme_file_path( 'inc/summer-adventure-theme-info-page/templates/class-theme-notice.php' );

require_once get_theme_file_path( 'inc/summer-adventure-theme-info-page/class-theme-info.php' );

require_once get_theme_file_path( '/inc/customizer.php' );	
?>